Cydiás csomagok telepítése WiFi/mobilnet nélkül

Ez a cikk legalább 1 éve frissült utoljára. A benne szereplő információk a megjelenés idején pontosak voltak, de mára elavultak lehetnek.

Van, hogy nincs WiFi-elérhetőségünk a készüléken, de lenne mobilnetünk. Azonban ha a mobilnethez először függetleníteni kellene a készüléket, amihez az ultrasn0w kell, viszont a készüléken nincs netünk, hogy azt le tudja tölteni a Cydia, na akkor az patthelyzet… Vagy mégsem?

Adott tehát egy készülék, amit annak rendje és módja szerint újratelepítettünk, vagy a legújabb iOS-t tettük rá, bármi. Aztán jailbreakeltük. És a lényeg, hogy jelenleg így nincs rajta az ultrasn0w, ami nélkül viszont nem független, és így nem fogadja el a kártyánkat. Van viszont internet a számítógépünkön, hiszen másképp nem tudtuk volna frissíteni/restore-olni a készüléket.

Ebben az esetben kínál megoldást nekünk a Cydia AutoInstall lehetősége.

Picture-4.png

Teendőink:

  1. töltsük le az ultrasn0w és a mobilesubstrate .deb fájljait
    – ultrasn0w (ez mindig az aktuálisan legfrissebb ultrasn0w lesz): ultrasn0w.deb vagy keressünk rá Google segítségével az ultrasn0w_1.2.5_iphoneos-arm.deb fájlra.
    – mobilesubstrate: mobilesubstrate_0.9.3367-1_iphoneos-arm.deb
  2. hozzuk létre a következő mappát a készüléken T-pot vagy DiskAid segítségével:/var/root/Media/Cydia/AutoInstall
  3. másoljuk fel ide először csak a mobilesubstrate .deb fájlját, majd indítsuk újra a készüléket
  4. amint újraindult, a Cydiában ellenőrizzük, hogy a Packages alatt ott van-e a mobilesubstrate
  5. ha ott van, akkor másoljuk fel az AutoInstall mappába az ultrasn0w .deb fájlját is, és indítsuk újra megint a készüléket
  6. amint újraindult, a Cydiában ellenőrizzük, hogy a Packages alatt ott van-e az ultrasn0w
  7. ha ott van, akkor tegyük be a SIM-kártyánkat, írjuk be a PIN-kódot (ha kéri), és örüljünk
  8. a mobilnethez még esetleg állítsuk be az APN-t a Settings / General / Network / Cellular Data Network alatt

Ezek után futtassunk egy frissítést a Cydián, ami ilyenkor már működni fog, ha a mobilnet elindul. Telepítsük az esetleges frissítéseket, és kész.

Ezzel a módszerrel bármi olyan csomagot feltehetünk “offline” módon, amit szeretnénk, és amihez megvan a .deb fájl az összes szükséges függőséggel egyben. Az AutoInstall mappába egyszerre több .deb fájlt is tehetünk, de azért ne essünk túlzásokba, két fájlnál többet egyszerre ne tegyünk oda, csak ha a függőségek miatt feltétlen szükséges.

Kapcsolódó cikkek:

  1. Jo tudni, hogy minden helyzetre van egy megoldas 🙂
    Azon filoztam a fuggetlenites kapcsan, hogy vajh a hivatalos szolgaltato hogyan fuggetlenit? Ha szoftveresen, akkor hh nem elerheto a dolog vmilyen csatornan? Vagy nekiallnak forrasztgatni?

  2. TPOT hoz nem kell openssh
    Amúgy többféle jailbreak sem teszi elérhetővé a telefon fájlrendszerét.
    Ahhoz egy cydiás csomagot kell letölteni. Ha nem éred el akkor meg tehetetlen vagy. vagy?
    Bár én ezt a gondom régen Iphone pc suittal oldottam meg, abbol lehet cydiás csomagokat telepiteni a telóra.

  3. Sziasztok!

    Na erre a tipikus várt az öcsém már 1hónapja! 🙂 végre itt van!!!

    Én meg örülök a lego-s képnek! ;D
    Hajrá srácok!

    Ui: admin: lehetne megint rendezni valamilyen cím alatt egy Szifon-találkozót… Nem szertnétek? Vagy túl sok lenne a jelentkező?

    miron89

  4. @JEROME: ha az új jailbreakek bármelyikét (értsd: a redsn0w alapból ilyen, amióta van, de 4.1 óta bármi, greenpois0n, limera1n is), vagy custom fw-t használsz, azokban mind eléred alapból a teljes fájlrendszert.

  5. @JEROME: custom fw-vel meg tudod tartani a 4.0-s basebandet, ami függetleníthető, illetve 3G/oldboot3GS esetén még a jailbreak is normális, és így feltehető a 4.2.1 is. ha új boot, vagy bármi más készülék, a 4.1 jailbreak működik csak rendesen, illetve azokra is igaz a custom fw-s megoldás.

  6. Jadeye! Nem tudsz Valami leírást linkelni, hogy hogy tudok felfrissíteni 4.1-re jailbreak + függetlenség megtartásával: következő a szifon: 3G, 3.1.2-es az ahoz tartozó basebandel. Plusz meg lehet oldani, ha 4.1 valamiért nem lenne jó, h vissza tudjak downgradeelni ha kell? Köszi

  7. @Jadeye:
    Nem szeretnék custom fw -t használni.
    Új ibootos 3GS-em van.
    Megvárom amig kijön a rendes függetlenítés ha lesz. Semmi bajom a 4.0.1. el.
    Hátrány hogy a gyári HDR-t nem tudom ebbe a rendszerbe berakni mivel elvileg arra csak 4.1 től van “hack” lehetőség. ugyanigy a facetime sem megy. Bár jó lenne letiltani a csengetéshangerő állítást is amit szintén nem tud a 4.0.1.
    De mindezek ellenére sem kockáztatnék ilyen baseband kutyulással.

  8. @JEROME: ahogy érzed, de ha pwnagetoollal készült custom megy rá, azzal szerintem nem lesz gond. függetlenítés az új basebandre meg szerintem nem lesz, másképp nem adták volna ki a 06.15-ös megoldást. 4.1-re simán frissíteném custom-mel, ami nem nyúl a basebandhez. 4.2.1 esetén meg ugye nincs, csak tethered jb, az meg ugye nem az igazi.

  9. @Ceempa: ennek aztán semmi köze a cikkhez. egyébként meg a kereső vagy a google segít…

    de:
    1. frissíted GYÁRI 4.0-ra
    2. arról frissítheted custom fw-vel 4.2.1-re, ami NEM frissíti a basebandet

    a 4.1-et én kihagynám, a 4.2.1 jobban van optimalizálva sebesség terén a 3G-re, kevésbé lassú. custom 4.2.1-et azonban jelenleg csak a pwnagetool képes gyártani, a pwnagtool viszont csak macre van. ha szerzel egy megfelelő custom 4.2.1-et, azt fel tudod tenni windows alatt is.

  10. @JEROME: Fúú itt most vmit nem értek. 4.1. re hogy lehet frissíteni, ha nincs hozzá SHSH? Custom firmware felmegy a verzióhoz tartozó mentett SHSH file-ok nélkül is? Vagy felfele tök mindegy milyenre, de mindig engedi upgradelni, nem csak a legújabbrA?

  11. @Ace1985: Az SHSH filem le van mentve, de az csak a downgrade-hez kell .
    Nekem következőt kell tennem.
    Készíteni egy custom firmwaret 4.1. rendszerrel és 5.13 as basebanddel , és ezt felküldeni a telomra, így jó lesz hozzá az ultrasn0w-s függetlenítésem, és a 4.1 még nem reklamál a régi baseband miatt, de az uj verziók már igen.

  12. Off! Bocs az off-ert! Kicsit lama vagyok a szifonhoz!
    Mi van akkor ha szifon 4-em gyari 4.0.2. Baseband 01.59.00 Jailbreakelt, unlockolt gepemet radugom az itunsra es nyomok egy restore-t? SHSH nncs mentve csak 4.1 tol. Marad rajta a regi IOS meg a baseband is vagy fel akarja frissiteni a legujjabb 4.x.x-re. Nekem jo a 4.0.2 es nem akarok uj basebandet sem! Kicsit szarakodik a kutyu azert gondoltam nyomok egy restore-t. Adatok maradnak vagy elszallnak? Meg soha nem csinaltam ezert kerdem meg.
    PLS!

  13. @JEROME: Köszööm! Még ugyan nem aktuális kérdés számomra, de azért kíváncsi vagyok. A 4.2.1. és 4.1. (CFW) esetén is kidobja az iTunes az1016 os hibakódot? Mert ugye a BB nem egyezik.
    Ez így 3GS/3G esetén kiugrasztható a recovery loopból.
    Egyedül az iPhone 4 nem ugrasztható ki, igaz?
    Tehát a kérdésem annyi, hogy egyedül komolyabban a i4-esnél sír a 4.2.1. es OS? A többinél még kiugrasztható?

    Thx!!

  14. Egy kérdéssel fordulnék hozzátok:

    Mi történik olyankor, ha az ultrasn0w telepítésre kerül egy olyan iPhone-on, amin az adott baseband épp nem függetleníthető?
    Egyáltalán történik valami? Esetleg kell restore, vagy probléma nélkül működik, csak épp nem csinál semmit?

    (Custom firmware-be tenném bele, csak ezért kérdezem.)

  15. @JEROME: az SHSH akkor kell, ha olyan OS-t akarsz telepíteni rá, amit már az Apple nem ír alá. tehát akkor is kell 4.1-es SHSH, ha mondjuk 4.0.2-ről frissítenél, mert anélkül szintén csak a 4.2.1 menne fel rá. tehát NEM csak downgrade-hez kell, hanem mindig és bármikor, ha olyan fw-t tennél fel, ami nem az aktuálisan legfrissebb.

    @zigzag10: természetesen csak a 4.2.1-et fogja engedni alapból feltenni. ha betallózott firmware-t teszel fel, és fut az umbrella TSS szervere, vagy át van állítva a cydiára, akkor azt a verziót tudod feltenni, amihez van SHSH. ha csak 4.1-hez van, akkor legegyszerűbben custom fw-vel tudod megcsinálni, ami nem frissíti a basebandet. 4.2.1-re jelenleg nincs, csak tethered jailbreak, így azt nem éri meg feltenni szerintem.

    @i4user: felesleges beletenni, mert csak fut a háttérben a mobilesubstate-tal. de túl nagy gondot nem okoz.

  16. @Jadeye: Csak azért kérdezem, mert haveromnak is odaadnám, magyarul: lehet hogy olyan iPhone is telepítésre kerül, ahol a BB nem függetleníthető. De ha nem okoz nagy gondot, akkor beleteszem, mert ha esetleg függetleníthető, akkor legyen is független. 🙂

  17. Jadeye!
    Koszonom gyors valaszod! Marad igy a kutyu! Varok addig mig lesz egy normalis Jailbreak/unlock az eppen aktualis vagy 4.1-es op.ra. Nem tetszenek nekem ezek a custom fw-k baseband manipulalo akarmik. Ha lesz egy olyan helyzet mikor oda vissza tudok gradelni akkor lehet eljatszadozok vele. Sajnos most nem akarok kiserletezgetni. Jo meg ez a 4.0.2 🙂

  18. @Jadeye: Köszi! Ezzel már sokkal közelebb vittél a megoldáshoz, egyre jobban látom, h mi a hézag, de már csak 2 dolog lenne. Pontosabban 1… azt értem, h szerezni kell (custom fw-t), de honnan? A másik azt redsnowal kell feltenni?

  19. Értem de ha van laptopod akkor van wifid nem?Ergó 1 lanjack kell.Vagy mobilnet!
    Laptoppal megtudod osztani netet wifin.Ha meg nincs neted akkor nagyon nem ipodot hackelsz hanem tolod passzianszt.

  20. @i4user: ahol a BB nem függetleníthető, ott is függetleníthető, olvasd el az Ultra-recycle című cikkünket: https://szifon.com/2010/11/29/ultra-recycle-az-extrem-ultrasn0w-iphone-4.1-fuggetlenites/

    ugyanakkor ez meg a garanciális telókra nem érvényes, mert garivesztést okoz. de ha elolvasod a cikket, megérted, miért. szerintem felesleges beletenni, egyszerűbb utólag felrakni a Cydiából.

    @zigzag10: a 4.1-es basebandre nem lesz szerintem külön függetlenítés, másképp nem adták volna ki a 06.15-ös megoldást. javaslom, olvasd el ezt te is: https://szifon.com/2010/11/29/ultra-recycle-az-extrem-ultrasn0w-iphone-4.1-fuggetlenites/

    a custom fw, amelyik meg nem frissít basebandet, az nem fog gondot okozni. de ami eddig nagyon valószínű, hogy 4.1/4.2.1-re nem lesz külön függetlenítés, csak a basebanddel trükközve, vagy gyári függetlenítéssel. másképp nem.

    @Ceempa: ezt nem tudom, ki találta ki, de a redsn0w SOHA nem telepített neked fw-t. azt MINDIG az iTunes tette fel. custom fw-re meg változatlanul NEM kell redsn0w, mert a custom már alapból jailbreakelt. de ha ennyire kezdő vagy, inkább bízd ránk, megcsináljuk, és akkor nem szúrod el tutira. custom fw-t keresni kell, szerintem itt a kommentek közt tuti találsz, de ha nem vagy biztos benne, hogy menne, akkor bízd ránk inkább:
    https://szifon.com/2010/11/29/ultra-recycle-az-extrem-ultrasn0w-iphone-4.1-fuggetlenites/

  21. @Bucoka: oké… de a cyder pl nem megy osx alatt. meg asszem 4.x óta egyáltalán nem működik. meg nekem windowson sem hajlandó elfogadni vagy elmenteni a hozzáadott source-t.

    de nem sokkal egyszerűbb felmásolni valamit valahova, majd reboot?

    @W3ber: nem biztos, hogy van wifid. és ha van laptopod, még nem biztos, hogy tud wifit, bár a mostaniak már mind. de windows alatt sokszor külön művészet wifi-hotspotot csinálni a laptopból, hogy az továbbadja a netet a telónak.

    tőled is csak azt tudom kérdezni: nem sokkal egyszerűbb felmásolni valamit valahova, majd reboot?

  22. @Jadeye:
    De eleve nem kezdek restoreba meg semmibe ha nincs netem nem fogok egy olyan laptopon cydiat telepíteni amin nincs net vagy nem tudom megosztani wifit.
    Nincs wifi router.EZ alap tény.Mi kell szifon hackhez 1 teló 1 laptop 1 wifi.Kész jó hogy lehet de nem hiszem hogy ti is így csináljátok tisztánlátás végett.Bocs előre is hogy kérdésre kérdéssel válaszolok nem egyszerűbb ha rábökök cydiába és feltelepül és örülök mindt másolgatok össze vissza chmodot elbaszok stb stb.Mondjuk tpottal nem de …mind1

  23. @W3ber: na akkor áruld el, mégis hogy teszel fel ultrasn0w-t egy olyan készülékre, amin elhullott a wifi végfok, így a wifije halott, mobilnet meg nincs, hiszen az ultrasn0w még nincs fent? na ugye…

    illetve azt ki mondta, hogy nincs eleve neted? a restore nem menne anélkül. tehát neted van, de mondjuk csak vezetékes. wifid nincs, bármi okból, vagy a készüléken (még) mobilneted.

    az autoinstallhoz meg nem kell chmodolni semmit.

    a cydia nem megy mobilnet vagy wifi nélkül.

    így érthetőbb?

  24. @Jadeye:
    Haha+elhullt wifi végfokja,:)Nah jó biztos arra én már sehogy nekem ha nem valami baja lenne vinném hozzátok!:):P
    Még 1szer leírom hogy szerintem ez leírás hasznos majdnem annyira mint 9000%cydia gyorsítás csak min2 höz kell net!Ha meg van net mha pedig hw hiba akkor egyszeri user nem fog otthon barkácsolni vele.Szerintem addig nincs baj hogy van 1 függő telója ami müködik és van 1 simkártyája amivel tudja hacktiválni és tud rá cydiat tenni!Inentől szerintem senki nem próbálkozik wifi nélkül,ez annak jó akinek van mobilnete de nincs független telója.
    Szegény cydia vagy esetleg rednsn0w miért nem tudja ezt alapból?

  25. @W3ber: Nekem pl a 3GS emen kívül van egy 3G-m is. Azon elhullot a WIFI. A WIFI-t tudtommal külön nem lehet cserélni benne, tehát alaplap csere. A készülék T függő, Pannonos kártyával használja a barátnőm. Mivel neki nem igazán fontos a WIFI így nem szükséges beruháznom egy uj alaplapra.
    Ha nem tudtam volna megoldani másképp (nagy nehézségek árán), akkor ez a cikk marhára kihúzott volna a pácból.
    A laptopos témához: nem minden laptopon van internet, bár elég fura az az ember akinek nincs otthon netje de iphone-al közlekedik.

  26. Asszem ez is OFF lesz.. Mért van az, hogy 4.0.1 3G JB alatt sehogy se megy se a mobilterminal se az, hogy beSSH-zok a szifonra, szeretném már megváltoztatni a rootjelszót, de sehogyse tudom.. meg amúgy is használtam sshra a készüléket (amíg tudtam)..

  27. Szerintetek miert nem mukodik nalam a stable.szifon.con on levo tmobile logofix? Nem jelenik meg rozsaszinben a tmobile logo:( rem tudtok segiteni (3gs-4.1.)

  28. Sziasztok! Egy jó kérdés. A deb fájlokat le lehet valahogyan tölteni cydián kívül is? Azért merült fel bennem, mert 2G-m van és félek tőle, hogy ha újrarakom lassacskán, nem lesz meg minden csomag. pl a szifon.com magyarításai, stb.

  29. Jadeye, arra tudtok mondani valamit, hogy a 3.1.3-hoz kapcsolódó csomagok meddig lesznek fenn a szifon.com repóban? Ugye még fenn vannak? A hétvégén újra szeretném rakni a telót.

  30. @PetiP: nem tudom, meg kellene jelennie. majd megnézzük, mi a helyzet 4.2.1 alatt, hátha úgy fény derül erre is.

    @kipseter: mivel semmibe sem tart, hogy fent legyenek a repoban, így mi nem fogjuk leszedni őket. de asszem a 4.x-esek számára egyrészt oda van mindegyikhez írva, ha nem működik 4.x alatt, illetve elvileg párat nem is enged a cydia így telepíteni.

    szóval nem szándékozunk törölni egy csomagot sem. 🙂

  31. @Jadeye: ez nekem vajon miért nem akar menni
    4.1 van most rajta viszont ipad bb-vel
    szépen látja is a tpot illetve létrehoztam a könyvtárat de semmi AutoInstall-is nagy I ….
    Úgy hogy nem tudom mi lehet a baj

    ötlet esetleg?

  32. felrakom az mobilesubstrate .deb fájlt, ujrainditom, majd az ultrasn0w-ot ujrainditom
    belépek a cydiaba és az ultrasn0w-ot nem látja!
    na most :O

Írd le a véleményedet! (Moderációs elveinket ide kattintva olvashatod.)

Hozzászólás írásához be kell jelentkezned!